Historical contract: Create importer job slug
Historical API contract. This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.
Historical meaning
Create importer job slug
Current API
For new integrations, use the linked current API reference or guide.
Parameters
[
{
"name": "api_version",
"in": "path",
"schema": {
"type": "string",
"default": "v400"
},
"required": true
},
{
"name": "language",
"in": "path",
"schema": {
"type": "string",
"default": "en"
},
"required": true
},
{
"name": "project",
"in": "path",
"schema": {
"type": "string",
"default": "<redacted-personal>"
},
"required": true
},
{
"name": ":importer_slug",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
}
]
Request body
{
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"file": {
"type": "string"
},
"import_options": {
"type": "string",
"description": "{ \"separator\": \"CSV separator\", (Optional)(DEFAULT ;) \"enclosure\": \"CSV enclosure\", (Optional)(DEFAULT \") \"escape\": \"CSV escape\", (Optional)(DEFAULT \\) \"start_line\": \"Start from x line\" (Optional)(DEFAULT 1) }",
"format": "json"
}
}
}
}
}
}
Responses
{
"200": {
"description": "200",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{}"
}
},
"schema": {
"type": "object",
"properties": {}
}
}
}
},
"400": {
"description": "400",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{}"
}
},
"schema": {
"type": "object",
"properties": {}
}
}
}
}
}